<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sien.common.mapper.VipRecordMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, fk_user_id, fk_recharge_user, money, expired_at, years, remark, create_time, update_time,wx_mer_pay_id,pay_status,pay_time
        </sql>

        <select id="getVipRecordById" resultType="com.sien.common.vo.VipRecordQueryVo">
            select
            <include refid="Base_Column_List"/>
            from vip_record where id = #{id}
        </select>

        <select id="getVipRecordPageList" parameterType="com.sien.common.param.VipRecordPageParam" resultType="com.sien.common.vo.VipRecordQueryVo">
            select
            <include refid="Base_Column_List"/>
            from vip_record
        </select>

</mapper>
